<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\Project;
use App\Models\ProjectRole;
use App\Models\ProjectUser;
use App\Models\WorkPoint;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Builder;

class WorkPointController extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new WorkPoint();
    }

    public function get()
    {
        $items = $this->model->get();
        return $this->success(['data' => $items]);
    }
}
