<?php

use Illuminate\Database\Seeder;

class OptionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        \App\Models\Option::truncate();
        $table = 'orders';
        $column = 'status';
        $items = [
            ['name' => '待审核', 'key' => 'checking', 'color' => ''],
            ['name' => '已完成', 'key' => 'pass'],
            ['name' => '已驳回', 'key' => 'reject'],
        ];
        \App\Models\Option::where([
            ['table', '=', $table],
            ['column', '=', $column]
        ])->delete();
        foreach($items as $key => $val) {
            \App\Models\Option::create([
                'table' => $table,
                'column' => $column,
                'name' => $val['name'],
                'key' => $val['key'],
                'sort' => $key + 1
            ]);
        }
    }
}
